Passer au contenu principal
GET
/
v2
/
client
/
personal-pages
/
search
Find Personal Page
curl --request GET \
  --url https://api.crowdchange.dev/v2/client/personal-pages/search \
  --header 'Authorization: <api-key>'
[
  {
    "id": 1,
    "name": "John Snow",
    "description": "Help us reach our goal and make a difference!",
    "image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
    "amount_goal": 1000,
    "amount_goal_formatted": "$1,000",
    "amount_raised": 550,
    "amount_raised_formatted": "$550",
    "n_donors": 10,
    "url": "https://demo.crowdchange.dev/2/page/1",
    "language": "en",
    "team": {
      "id": 1,
      "name": "Gala Night",
      "amount_goal": 10000,
      "amount_raised": 8000,
      "amount_raised_formatted": "$8,000",
      "url": "https://demo.crowdchange.dev/1/team/2",
      "language": "en"
    },
    "fundraiser": {
      "id": 1,
      "name": "Gala Night",
      "amount_goal": 10000,
      "amount_raised": 8000,
      "amount_raised_formatted": "$8,000",
      "url": "https://demo.crowdchange.dev/1",
      "language": "en",
      "organization": {
        "id": 1,
        "name": "Crowdchange",
        "custom_id": "CrowdchangeID"
      }
    },
    "user": {
      "name": "John Snow",
      "first_name": "John",
      "last_name": "Snow",
      "title": "Mr."
    }
  }
]

Query parameters

text
string
Search term.
fundraiser_team_id
integer
Team id. Returns specific team if provided.
fundraisers
string
Comma separated list of fundraiser ids.
templates
string
Comma separated list of fundraiser template (blueprint) ids.
page
integer
Page number. Default: 1
limit
integer
Number of results to return. Default: 10
sort
string
Key to sort by. Allowed values: name, amount_raised, amount_goal
direction
string
Direction of sorting. Allowed values: asc, desc
lang
string
API’s locale. Allowed values: en, fr
include_hidden
integer
Include personal pages from hidden campaigns. Default: 0
include_subsites
integer
Include data from subsites. Default: 0
include_description
boolean
Include the personal page description in the response. The returned description is plain text with all HTML removed and truncated to 200 characters. Default: false
amount_raised
object
Personal page’s amount raised filter.

Response

Returns an array of objects with the following fields.
id
integer
Personal page ID.
name
string
Personal page name.
description
string
Personal page description as plain text with all HTML removed, truncated to 200 characters. Only returned when include_description is set.
image
string
Personal page image ID
amount_goal
number
Goal amount.
amount_goal_formatted
string
Formatted goal amount of the personal page, includes currency symbol.
amount_raised
number
Amount raised by the personal page.
amount_raised_formatted
string
Formatted amount raised by the personal page, includes currency symbol.
n_donors
number
Number of donors
url
string
Full URL to personal page.
language
string
Personal page language. Allowed values: en, fr
team
object
Team name that personal page belongs to (if assigned to a team).
fundraiser
object
Campaign that personal page belongs to.
user
object
Other responses
StatusDescription
400Bad Request
403Forbidden
[
  {
    "id": 1,
    "name": "John Snow",
    "description": "Help us reach our goal and make a difference!",
    "image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
    "amount_goal": 1000,
    "amount_goal_formatted": "$1,000",
    "amount_raised": 550,
    "amount_raised_formatted": "$550",
    "n_donors": 10,
    "url": "https://demo.crowdchange.dev/2/page/1",
    "language": "en",
    "team": {
      "id": 1,
      "name": "Gala Night",
      "amount_goal": 10000,
      "amount_raised": 8000,
      "amount_raised_formatted": "$8,000",
      "url": "https://demo.crowdchange.dev/1/team/2",
      "language": "en"
    },
    "fundraiser": {
      "id": 1,
      "name": "Gala Night",
      "amount_goal": 10000,
      "amount_raised": 8000,
      "amount_raised_formatted": "$8,000",
      "url": "https://demo.crowdchange.dev/1",
      "language": "en",
      "organization": {
        "id": 1,
        "name": "Crowdchange",
        "custom_id": "CrowdchangeID"
      }
    },
    "user": {
      "name": "John Snow",
      "first_name": "John",
      "last_name": "Snow",
      "title": "Mr."
    }
  }
]